function love.load()	
	--include the simulationfunctions
	require "caveSimulation"
	
	math.randomseed(os.time())
	
	--some windowsthings
	windowWidth = 700
	windowHeight = 700
	--some cavesettings
	caveWidth = 100
	caveHeight = 100
	cellWidth = windowWidth / caveWidth
	cellHeight = windowHeight / caveHeight
	
	steps = 6
	
	love.window.setMode(windowWidth, windowHeight)
	
	love.graphics.setBackgroundColor(255, 255, 255)

	cave = initialiseCave(caveWidth, caveHeight, 0.5)
	
	for i = 1, steps do
		cave = simulateStep(cave, 3, 4)
	end
end

function love.draw()
	love.graphics.setColor(0, 0, 0)
	for i = 1, caveWidth do
		for j = 1, caveHeight do
			if cave[i][j] == 1 then
				love.graphics.rectangle("fill", cellWidth * (i - 1), cellHeight * (j - 1), cellWidth * i, cellHeight * j)
			end
		end
	end
end